Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » JVMPI error with helios and TPTP 4.7 and JDK1.6.0_19(JVMPI error message...)
JVMPI error with helios and TPTP 4.7 and JDK1.6.0_19 [message #550326] Thu, 29 July 2010 22:55
Michael A. is currently offline Michael A.Friend
Messages: 1
Registered: July 2010
Junior Member
I am attempting to use the API Recording feature of tptp and get the error

"ERROR: JVMPI, an experimental interface, is no longer supported.
Could not resolve to JVMPI interface
Please use the supported interface: the JVM Tool Interface (JVM TI).
Error occurred during initialization of VM
-Xrun library failed to init: piAgent
"

The IAC is pointing at C:\Program Files\Java\jdk1.6.0_19\jre\bin\javaw.exe

What is the config that specifies JVMPI and why isn't point to JVMTI, as PI is depericated.

Other profiling options such as thread, memory and execute time all work fine.

This blocking my from creating tptp junit tests from api recording.

Thank you

Previous Topic:TPTP + ant + emma
Next Topic:Meet the "Package with uri 'null' not found" ERROR
Goto Forum:
  


Current Time: Thu Nov 27 00:31:45 GMT 2014

Powered by FUDForum. Page generated in 0.07861 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software